Debian Bug report logs - #714527
xterm: word-selection bug on last word of lines ending at the last column

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Sun, 30 Jun 2013 13:27:01 UTC

Severity: normal

Tags: upstream

Found in version xterm/293-1

Fixed in version xterm/295-1

Done: Sven Joachim <svenjoac@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#714527; Package xterm. (Sun, 30 Jun 2013 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 30 Jun 2013 13:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: word-selection bug on last word of lines ending at the last column
Date: Sun, 30 Jun 2013 15:23:16 +0200
Package: xterm
Version: 293-1
Severity: normal

In a 80-column xterm:

$ echo `seq 9997 10010`
9997 9998 9999 10000 10001 10002 10003 10004 10005 10006 10007 10008 10009 10010

If I double-click on "10010", the last character of the word is not
selected.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.9-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6           2.17-7
ii  libfontconfig1  2.10.2-2
ii  libice6         2:1.0.8-2
ii  libtinfo5       5.9+20130608-1
ii  libutempter0    1.1.5-4
ii  libx11-6        2:1.6.0-1
ii  libxaw7         2:1.0.11-1
ii  libxft2         2.3.1-1
ii  libxmu6         2:1.1.1-1
ii  libxpm4         1:3.5.10-1
ii  libxt6          1:1.1.3-1+deb7u1
ii  xbitmaps        1.1.1-2

Versions of packages xterm recommends:
ii  x11-utils  7.7~1

Versions of packages xterm suggests:
pn  xfonts-cyrillic  <none>

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#714527; Package xterm. (Mon, 01 Jul 2013 00:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 01 Jul 2013 00:57:09 GMT) Full text and rfc822 format available.

Message #10 received at 714527@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Vincent Lefevre <vincent@vinc17.net>, 714527@bugs.debian.org
Subject: Re: Bug#714527: xterm: word-selection bug on last word of lines ending at the last column
Date: Sun, 30 Jun 2013 20:54:19 -0400
[Message part 1 (text/plain, inline)]
On Sun, Jun 30, 2013 at 03:23:16PM +0200, Vincent Lefevre wrote:
> Package: xterm
> Version: 293-1
> Severity: normal
> 
> In a 80-column xterm:
> 
> $ echo `seq 9997 10010`
> 9997 9998 9999 10000 10001 10002 10003 10004 10005 10006 10007 10008 10009 10010
> 
> If I double-click on "10010", the last character of the word is not
> selected.

I overlooked that...

Actually I think that my other fixes in the class_of() function will let me
remove this part of the change from #292 (which is causing the problem you're
reporting):

diff -u -r1.457 button.c
--- button.c	2013/06/23 21:55:39	1.457
+++ button.c	2013/07/01 00:50:20
@@ -3345,13 +3345,6 @@
 		screen->endSel.col = 0;
 		NextRow(endSel);
 	    }
-	    /* Clicking on right edge will make endSel.col == screen->max_col,
-	     * so clamp it. Otherwise XTERM_CELL and friends will fail assertion
-	     */
-	    if (screen->endSel.col > screen->max_col) {
-		screen->endSel.col = screen->max_col;
-		TRACE(("Select_WORD endSel.col clamped to %d\n", screen->endSel.col));
-	    }
 	}
 #if OPT_WIDE_CHARS
 	if (screen->endSel.col

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 01 Jul 2013 07:48:09 GMT) Full text and rfc822 format available.

Reply sent to Sven Joachim <svenjoac@gmx.de>:
You have taken responsibility. (Sun, 07 Jul 2013 15:51:13 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Sun, 07 Jul 2013 15:51:13 GMT) Full text and rfc822 format available.

Message #17 received at 714527-close@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 714527-close@bugs.debian.org
Subject: Bug#714527: fixed in xterm 295-1
Date: Sun, 07 Jul 2013 15:49:41 +0000
Source: xterm
Source-Version: 295-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 714527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Joachim <svenjoac@gmx.de> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 07 Jul 2013 17:30:07 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 295-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Sven Joachim <svenjoac@gmx.de>
Description: 
 xterm      - X terminal emulator
Closes: 714527
Changes: 
 xterm (295-1) unstable; urgency=low
 .
   * New upstream release.
     - Amend fix from xterm 292 by removing now-unneeded chunk which
       introduced problem in selection (Closes: #714527).
   * Update debian/copyright.
   * Switch Vcs-* fields to anonscm.debian.org.
   * Update copy of XTerm FAQ to revision 1.243 (dated 2013/07/05).
Checksums-Sha1: 
 f60539cd3bc7b8ed4236e30e53738fa3e2669c01 2062 xterm_295-1.dsc
 e17742c01c447ab64e02275e96a1939a01f0f731 1111813 xterm_295.orig.tar.gz
 aec9174513438c55e567a22e924561d4295641ae 91946 xterm_295-1.diff.gz
 6887e214ab29c268e410addb1de00aea94aacfc7 661160 xterm_295-1_i386.deb
Checksums-Sha256: 
 804279cfda757c5222ad5a69eee81123728da7dec98aa5750ef2de4a5f7e8300 2062 xterm_295-1.dsc
 c8a7a246b73189836f1f80eb3eab293eb149c1d61ffbc69f5350f0cdd9d98307 1111813 xterm_295.orig.tar.gz
 d28f996d3bab32c0514cfa7c96245c9ea078a8490d593ac39145847935b3a3dd 91946 xterm_295-1.diff.gz
 f0a7198eef8a35344d3a1088de29edb90861c20b39bde216ef4a87ce6bed5ccf 661160 xterm_295-1_i386.deb
Files: 
 6562f59369d85010db1956c2bf94c404 2062 x11 optional xterm_295-1.dsc
 5a11e78d3504c859e8b16f7bbe03b0d1 1111813 x11 optional xterm_295.orig.tar.gz
 9c56cdda2b4c859ad05ecb6219c29f17 91946 x11 optional xterm_295-1.diff.gz
 7c520b10ba8caa9075febea6e7970e35 661160 x11 optional xterm_295-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJR2Yp2AAoJEDsQbnGNazGsunUQAMRT0L4YcxtEV82RKL3qOQDU
idvDx+5qZjEhMHAedmt4DWPJoOEYJjEuXYRxuUHBUDqdRNZgautx2QlaOfpaDVVm
uQdPBRXccRq9/lGmxOgBlljTOmYnK2lTccoZcKwxoJr/VQmfT413vCZtB80W/qdB
HQrwVcUmrZwL0q+CmXHA9f/d4J3LZbNxomBmhwv591KCvNcuIQU2TJhiXgm5sVJ3
Fte/oqUGFrsGZukeU+HlQCt4f+usfIX7ZWwxDSdcIZQqB5dS/HirYc1UZ9b49pU5
utYq14xv8qnGi9eaymTzZd1re0FuDlQe6GGiglXtVsz1u59rq6f5aJl25YSyegBE
8ld31U909uRaYdmFhOkOC7i4feMQhDgI5fRJisU3tmDBUdIevOkq4LphM2rw02e5
qXon7K2SjiDkYpUuFC6K7b/EAByIGwaff2cZDQy3zpJ5zD/5M/TlgC3I4XBPaNnk
d5qcmXwtJ6MdVqf1KjK6htshA3ZY2SJxrWQNVvGntqwL+ERlT5Mg5km9ywjxYxXE
UwBe2b93rUIAcNgPIHnlQfl4Dok9GD2M7+ObSrU4J5n5SnQPEc9kPe9iEP/us2Hn
fnK8gOvcu46vJur5MkiazmW63MuTuKDVm5T57ODOnDzz85SgB3LS5BtPR98wErVp
RhMG+Y+IHJL2dVz75WVq
=qx8j
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Aug 2013 07:28:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:38:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.